/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import javax.servlet.jsp.JspTagException;


/**
 * This Exception is thrown in all cases where the BreadCrumb TrailTag cannot correctly parse, format and render bread
 * crumb trail. The only other exception thrown by this component is the {@link IllegalArgumentException}.
 * <p/>
 * If silentErrors configuration for component is <tt>true</tt>, this exception is caught and {@link
 * BreadCrumbTrailTag#doStartTag()} simply does render nothing.
 * <p/>
 * <b>Thread Safety: </b> This class is immutable and therefore thread safe.
 *
 * @author Pops, TCSDEVELOPER
 * @version 2.0
 * @since 2.0
 */
public class BreadCrumbException extends JspTagException {

    /**
     * Constructs the exception from the given message.
     *
     * @param message The possibly <tt>null</tt>, possibly empty message
     */
    public BreadCrumbException(final String message) {
        super(message);
    }

    /**
     * Constructs the exception from the given message and cause.
     *
     * @param message The possibly <tt>null</tt>, possibly empty message
     * @param cause   The possibly <tt>null</tt> inner exception
     */
    public BreadCrumbException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
