/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import junit.framework.TestCase;

import javax.servlet.jsp.tagext.VariableInfo;


/**
 * This class contains all test cases for {@link BreadCrumbTrailTagExtraInfo}.
 *
 * @author TCSDEVELOPER
 * @version 2.0
 * @since 2.0
 */
public class BreadCrumbTrailTagExtraInfoTest extends TestCase {

    /**
     * This method tests the correct behavior of {@link BreadCrumbTrailTagExtraInfo
     * #getVariableInfo(javax.servlet.jsp.tagext.TagData)}.
     */
    public void testgetVariableInfo() {
        final BreadCrumbTrailTagExtraInfo tei = new BreadCrumbTrailTagExtraInfo();

        final VariableInfo[] variableInfos = tei.getVariableInfo(null);
        assertNotNull(variableInfos);
        assertEquals(2, variableInfos.length);

        final VariableInfo variableInfo1 = variableInfos[0];
        assertEquals(BreadCrumbTrailTag.BREADCRUMB_FORMAT_NODE, variableInfo1.getVarName());
        assertEquals(VariableInfo.NESTED, variableInfo1.getScope());
        assertEquals(true, variableInfo1.getDeclare());
        assertEquals(BreadCrumbNode.class.getName(), variableInfo1.getClassName());

        final VariableInfo variableInfo2 = variableInfos[1];
        assertEquals(BreadCrumbTrailTag.BREADCRUMB_FORMAT_STYLE_CLASS, variableInfo2.getVarName());
        assertEquals(VariableInfo.NESTED, variableInfo2.getScope());
        assertEquals(true, variableInfo2.getDeclare());
        assertEquals(String.class.getName(), variableInfo2.getClassName());

    }
}
